gi-xlib-2.0.14: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XConfigureEvent

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype XConfigureEvent = XConfigureEvent (ManagedPtr XConfigureEvent)

# Exported types

newtype XConfigureEvent Source #

Memory-managed wrapper type.

Constructors

XConfigureEvent (ManagedPtr XConfigureEvent) |

#### Instances

Instances details

Eq XConfigureEvent Source # |
Instance details Defined in GI.Xlib.Structs.XConfigureEvent Methods (==) :: XConfigureEvent -> XConfigureEvent -> Bool Source # (/=) :: XConfigureEvent -> XConfigureEvent -> Bool Source #
BoxedPtr XConfigureEvent Source # |
Instance details Defined in GI.Xlib.Structs.XConfigureEvent Methods boxedPtrCopy :: XConfigureEvent -> IO XConfigureEvent Source # boxedPtrFree :: XConfigureEvent -> IO () Source #
ManagedPtrNewtype XConfigureEvent Source # |
Instance details Defined in GI.Xlib.Structs.XConfigureEvent Methods toManagedPtr :: XConfigureEvent -> ManagedPtr XConfigureEvent Source #

# Methods